ZipArchive::getExternalAttributesName
ZipArchive::getFromName
ZipArchive
PHP Manual

# ZipArchive::getFromIndex

(No version information available, might only be in Git)

ZipArchive::getFromIndex — Returns the entry contents using its index

### Description

string ZipArchive::getFromIndex ( int `$index` [, int `$length` = 0 [, int `$flags` ]] )

Returns the entry contents using its index.

### Parameters

`index`

  Index of the entry

`length`

  The length to be read from the entry. If 0, then the entire entry is read.

`flags`

  The flags to use to open the archive. the following values may be ORed to it.

  - `ZipArchive::FL_UNCHANGED`

  - `ZipArchive::FL_COMPRESSED`

### Return Values

Returns the contents of the entry on success or `FALSE` on failure.

### Examples

Example #1 Get the file contents

`<?php
$zip = new ZipArchive;
if ($zip->open('test.zip') === TRUE) {
echo $zip->getFromIndex(2);
$zip->close();
} else {
echo 'failed';
}
?>`

### See Also

- ZipArchive::getFromName() - Returns the entry contents using its name

ZipArchive::getExternalAttributesName
ZipArchive::getFromName
ZipArchive
PHP Manual